Last Comment Bug 343762 - Zoom All zooms downloads window (even when it's not visible)
: Zoom All zooms downloads window (even when it's not visible)
Status: VERIFIED FIXED
: fixed1.8.1
Product: Camino Graveyard
Classification: Graveyard
Component: Toolbars & Menus (show other bugs)
: Trunk
: PowerPC Mac OS X
-- normal (vote)
: Camino1.5
Assigned To: froodian (Ian Leue)
:
:
Mentors:
Depends on:
Blocks: 181978
  Show dependency treegraph
 
Reported: 2006-07-06 09:43 PDT by froodian (Ian Leue)
Modified: 2006-07-14 06:35 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Zoom Downloads Solution (1.07 KB, patch)
2006-07-06 21:51 PDT, froodian (Ian Leue)
no flags Details | Diff | Splinter Review
Don't Zoom Downloads Solution (1.13 KB, patch)
2006-07-06 21:52 PDT, froodian (Ian Leue)
hwaara: review+
froodian: review+
mikepinkerton: superreview+
Details | Diff | Splinter Review

Description User image froodian (Ian Leue) 2006-07-06 09:43:24 PDT
Oops.  My patch for bug 181978 zooms the downloads window even when it's not visible.  STR:

1. Open a browser window (ensuring that the downloads window is closed)
2. Zoom all
3. Open downloads window

This is a good time for a little more discussion on whether we want the downloads window to zoom at all.  I say that it's the app-wide windows menu, and people expect its actions to work on all windows, so we should.  Obviously though, whatever we decide, it should zoom the window if it's not open. (It's an easy fix either way, btw)
Comment 1 User image Håkan Waara 2006-07-06 16:55:49 PDT
I think all visible windows should be zoomed.
Comment 2 User image Peter Jaros (:peeja) 2006-07-06 19:17:33 PDT
I don't think the Downloads window should be zoomed.  The Downloads window, in my user experience, is an honorary utility panel.  It's not the main event, and its zoom behavior, while appropriate, is quite different from other windows'.  I wouldn't expect it to zoom.
Comment 3 User image froodian (Ian Leue) 2006-07-06 21:51:24 PDT
Created attachment 228389 [details] [diff] [review]
Zoom Downloads Solution

This solution zooms all windows, just only if they're open.
Comment 4 User image froodian (Ian Leue) 2006-07-06 21:52:16 PDT
Created attachment 228390 [details] [diff] [review]
Don't Zoom Downloads Solution

This patch only zooms browser windows.



Once we figure out which of these solutions we want, we can set the review flags on the appropriate patch.
Comment 5 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-07-06 23:05:47 PDT
I'm with Peter on this one; I think people are more likely going to want all of their browser windows to go full-screen than their browser windows and downloads.

OTOH, it's a fairly harmless action and Safari zooms *all* open windows (even the activity window), so I could be convinced either way.
Comment 6 User image Chris Lawson (gone) 2006-07-06 23:08:10 PDT
When I Zoom the downloads window now, it doesn't go full-screen. It resizes to fit its content.

Is that not what other people are seeing? Because that behaviour seems perfectly reasonable to me.

cl
Comment 7 User image Mike Pinkerton (not reading bugmail) 2006-07-11 07:49:11 PDT
it's an easy fix, i say we go with not zooming non-browser windows and we can always pull that out if people complain. 
Comment 8 User image froodian (Ian Leue) 2006-07-11 17:54:07 PDT
Comment on attachment 228390 [details] [diff] [review]
Don't Zoom Downloads Solution

r=cl per irc
Comment 9 User image Mike Pinkerton (not reading bugmail) 2006-07-12 05:36:36 PDT
Comment on attachment 228390 [details] [diff] [review]
Don't Zoom Downloads Solution

sr=pink
Comment 10 User image Nick Kreeger 2006-07-13 08:08:09 PDT
Roasting on trunk and branch.

Note You need to log in before you can comment on or make changes to this bug.